Plack::Loader(3)

NAME
Plack::Loader - (auto)load Plack Servers

SYNOPSIS
  # auto-select server backends based on env vars
  use Plack::Loader;
  Plack::Loader->auto(%args)->run($app);

  # specify the implementation with a name
  Plack::Loader->load('Standalone::Prefork', %args)->run($app);

DESCRIPTION
Plack::Loader is a factory class to load one of Plack::Server subclasses based on the environment.

AUTOLOADING
"Plack::Loader->auto(%args)" will autoload the most correct server implementation by guessing from environment variables and Perl INC hashes.

PLACK_SERVER
      env PLACK_SERVER=AnyEvent ...

    Plack users can specify the specific implementation they want to load using the "PLACK_SERVER" environment variable.

PHP_FCGI_CHILDREN, GATEWAY_INTERFACE
    If there's one of FastCGI or CGI specific environment variables set, use the corresponding server implementation.

%INC
    If one of AnyEvent, Coro or Danga::Socket is loaded, the relevant implementation will be loaded.